Limits

Limits restrict outgoing payments depending on a period and digital entity type (defined by segment).

The scope of the limits has 2 dimensions:

  • granularity

    • a single customer

    • or all customers within a segment

  • temporality

    • for a single operation

    • or for all operations within a day, week, month, or year.

1. Individual limits

Individual limits restrict transfer for a specific customer.

1.1 For a single operation

Get individual limits per operation

Get customer amount limit

get

Get customer amount limit

Path parameters
counterparty_guidstringRequired

Counterparty GUID

Query parameters
customer_guidstringOptional

Customer GUID (uuid)

Responses
get
/counterparty/{counterparty_guid}/limits/customer/amount

Set an individual limit per operation for a customer

Set customer amount limit

post

Set customer amount limit

Path parameters
counterparty_guidstringRequired

Counterparty GUID

Body
account_type_guidstringOptional
asset_codestringOptional
asset_issuerstringOptional
customer_guidstringOptional
maxnumberOptional
periodstring Β· enumOptionalPossible values:
period_keyintegerOptional
Responses
post
/counterparty/{counterparty_guid}/limits/customer/amount

No content

circle-info

Where can I take these body parameters?

You can take the following parameters using the endpoint Get account list:

  • customer_guid = wallet_user_guid- customer's identifier for whom you want to set limits

  • account_type_guid = wallet_account_guid - account's type identifier

You can take the following parameters using the endpoint Get customer's accounts:

  • asset_code = stellar_code

  • asset_issuer = stellar_issuer

1.2 For a period of time

Get individual limits per customer

Get customer payment amount limit

get

Get customer payment amount limit

Path parameters
counterparty_guidstringRequired

Counterparty GUID

Query parameters
customer_guidstringOptional

Customer GUID (uuid)

Responses
get
/counterparty/{counterparty_guid}/limits/customer/payment
circle-info

Supported combinations:

  1. default periods

    • period=[day/week/month/year]

    • period_key = 1

  2. number of days for a custom period

    • period="days"

    • period_key = 180

Set individual limits per customer

Set customer payment amount limit

post

Set customer payment amount limit

Path parameters
counterparty_guidstringRequired

Counterparty GUID

Body
account_type_guidstringOptional
asset_codestringOptional
asset_issuerstringOptional
customer_guidstringOptional
maxnumberOptional
periodstring Β· enumOptionalPossible values:
period_keyintegerOptional
Responses
post
/counterparty/{counterparty_guid}/limits/customer/payment

No content

circle-info

Where can I take these body parameters?

You can take the following parameters using the endpoint Get account list:

  • customer_guid = wallet_user_guid- customer's identifier for whom you want to set limits

  • account_type_guid = wallet_account_guid - account's type identifier

You can take the following parameters using the endpoint Get customer's accounts:

  • asset_code = stellar_code

  • asset_issuer = stellar_issuer

2. Standard limits

Standard limits restrict payments for customers with a specific segment and identificator.

2.1 For a single operation

Get standard limits per operation for all segments

Get operation limits

get

Get operation limits

Path parameters
counterparty_guidstringRequired

Counterparty GUID

Responses
get
/counterparty/{counterparty_guid}/limits/operations

Set a standard limit per operation for a segment

Create operation limit

post

Create operation limit

Path parameters
counterparty_guidstringRequired

Counterparty GUID

Body
account_type_guidstringOptional
asset_codestringOptional
asset_issuerstringOptional
maxnumberOptional
minnumberOptional
Responses
post
/counterparty/{counterparty_guid}/limits/operations

No content

circle-info

Where can I take these body parameters?

You can take the following parameters using the endpoint Get account list:

  • customer_guid = wallet_user_guid- customer's identifier for whom you want to set limits

  • account_type_guid = wallet_account_guid - account's type identifier

You can take the following parameters using the endpoint Get customer's accounts:

  • asset_code = stellar_code

  • asset_issuer = stellar_issuer

2.2 For a period of time

Get standard customer limits for all segments

Get users limits

get

Get users limits

Path parameters
counterparty_guidstringRequired

Counterparty GUID

Responses
get
/counterparty/{counterparty_guid}/limits/users

Set a standard customer limit for a segment

Create users limit

post

Create users limit

Path parameters
counterparty_guidstringRequired

Counterparty GUID

Body
account_type_guidstringOptional
asset_codestringOptional
asset_issuerstringOptional
maxnumberOptional
periodstring Β· enumOptionalPossible values:
period_keyintegerOptional
Responses
post
/counterparty/{counterparty_guid}/limits/users

No content

circle-info

Where can I take these body parameters?

You can take the following parameters using the endpoint Get account list:

  • customer_guid = wallet_user_guid- customer's identifier for whom you want to set limits

  • account_type_guid = wallet_account_guid - account's type identifier

You can take the following parameters using the endpoint Get customer's accounts:

  • asset_code = stellar_code

  • asset_issuer = stellar_issuer

Last updated